/*
 * Copyright 2020 Chris Cromer
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * The TUF Manager namespace
 */
namespace TUFManager {
	/**
	 * This interface defines the dbus daemon provided by the server
	 */
	[DBus (name = "org.tuf.manager.server")]
	public interface TUFServerInterface : Object {
		public abstract string get_server_version () throws Error;
		public abstract int get_fan_mode () throws Error, TUFError;
		public abstract void set_fan_mode (int mode, BusName sender) throws Error, TUFError;
		public abstract Gdk.RGBA get_keyboard_color ()  throws Error, TUFError;
		public abstract void set_keyboard_color (Gdk.RGBA color, BusName sender) throws Error, TUFError;
		public abstract int get_keyboard_mode () throws Error, TUFError;
		public abstract void set_keyboard_mode (int mode, BusName sender) throws Error, TUFError;
		public abstract int get_keyboard_speed () throws Error, TUFError;
		public abstract void set_keyboard_speed (int speed, BusName sender) throws Error, TUFError;
		public signal void procedure_finished ();
	}
}
